unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, UniversalDBNavigator, UniversalDBTable, Db, DBTables, StdCtrls;

type
  TForm1 = class(TForm)
    Table1: TTable;
    UniversalDBTable1: TUniversalDBTable;
    Panel1: TPanel;
    RadioGroup1: TRadioGroup;
    RadioGroup2: TRadioGroup;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    CheckBox6: TCheckBox;
    CheckBox7: TCheckBox;
    CheckBox8: TCheckBox;
    CheckBox9: TCheckBox;
    CheckBox10: TCheckBox;
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox10Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure RadioGroup2Click(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
const UniTableRussianLang:array [0..22] of string=('  ',
     ' ', ' ', '   ', '',
     '', ' ', '  ',
     '', '', '', '  ', '',
     ' ', '', '', '', '',
     '   ?', '  ', ' ',
     '  ', '     ');

const VisiButtons: array [1..8] of TUniButton=
                   (ubNavigator, ubFind, ubFilter, ubPrint, ubPreview,
                    ubExport, ubFields, ubCountLabel);

procedure TForm1.CheckBox2Click(Sender: TObject);
var i: integer;
begin i:=TControl(Sender).Tag;
      if TCheckBox(Sender).Checked
         then UniversalDBTable1.UniButtons:=UniversalDBTable1.UniButtons+[VisiButtons[i]]
         else UniversalDBTable1.UniButtons:=UniversalDBTable1.UniButtons-[VisiButtons[i]];
end;

procedure TForm1.CheckBox10Click(Sender: TObject);
begin UniversalDBTable1.FlatButtons:=CheckBox10.Checked; end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin Table1.Active:=CheckBox1.Checked; end;

procedure TForm1.RadioGroup2Click(Sender: TObject);
begin case RadioGroup2.ItemIndex of
           0: ChangeLanguage(UniTableStandartLang);
           1: ChangeLanguage(UniTableRussianLang);
           end;
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin case RadioGroup1.ItemIndex of
           0: UniversalDBTable1.NavAlignment:=naDownLeft;
           1: UniversalDBTable1.NavAlignment:=naDownRight;
           2: UniversalDBTable1.NavAlignment:=naUpLeft;
           3: UniversalDBTable1.NavAlignment:=naUpRight;
           end;
end;

initialization
      ChangeLanguage(UniTableRussianLang);
end.
